/*
Created November 6, 2007 by Kakashi24142
Last Updated November 18,2007 by Kakashi24142

Look forward to:
-Flags such as: K_FILE, K_SOUND, K_ICON(Prompts to transfer files)
-More examples of use.
-Overlays that can show when selecting atoms through K_RADIO.

Updates 1/04/08:
-Fixed a bug in which when atoms were returned, only their names were returned rather than the actual atom.

Updates 12/13/07:
-I added security to the Topic()(basically this will prevent other players from executing a topic
link using your reference code and it will prevent data from being sent twice.)

Updates 12/10/07:
-You can now use more than 1 filter safely
-The icon of an atom is shown when there is a list of options to choose from when using the
K_RADIO Flag(Icons won't show in select boxes anyways)
(Overlays don't show yet)

Updates 11/19/07:
-Added the HTML code for K_MESSAGE and K_PASSWORD
-Added the ability to close a window after a specified length of time

Updates 11/18/07:
-Added filters(certain atoms, numbers, decimals, etc.)
-Removes some flags and added new ones
-Added error messages
-Added some new arguments to K_Input()


This is an HTML Input code that's for people who want better looking inputs with HTML or a list
of items using radio or a drop-down box. It is loosely based off of sd_Alert.(Concept is the same
and some of the procs' and vars' names are the same too.)

K_Input(client/C, message, title, default, list/options, i_type, filter, duration, size, style)
(K_Input proc)

Args:
------
client/C - The client which recieves the input box.

------
message - The message that the user will see. (i.e: "Hello! Type in your name")

------
title - The title of the window. This will appear on the blue bar at the top of the input
		box. There is not need for the <title> tag in this argument.

------
default - The default option or text that will appear in the input box or the default
option selected if using the options list.

------
list/options - If you have multiple options, you would but the options in a list and use
the list as this argument. If you don't specify the K_RADIO flag when you use this
parameter, it will default to a drop-down box.

Example:
list("Hello","Nevermind")
contents
src  //this is the same as using contents

------
i_type - This is the type of input. The valid possibilites are:
*K_RADIO(This is used to show multiple options with radio buttons next to each one.
Requires the options list to have elements in it.)
K_NOSCROLL(This doesn't allow the input window to be scrolled.)
***There is an exception. If the content in the Input box does not fit in the box,
a scroll bar will appear.

*K_PASSWORD(This is used to make a password field)
*K_MESSAGE(This flag is just like 'as message' except the size is customizable. If you want
a custom size, see the size parameter for details.)

*You can only choose ONE of these flags. If you don't the first flag checked for will be
used.

To use multiple flags use the |, like this:

(K_NOSCROLL|K_RADIO) - This will bring up a window with an input box that cant be
scrolled with radios.
(K_PASSWORD|K_RADIO) - This is invalid. It will still go through though and it would bring
up an input box.
Default: K_NOSCROLL, this means that this will bring up a basic input box with a text field
with no scrolling allowed.

------
filter - If you want to filter a certain type from a list, you would use this parameter.
The options are:

K_MOB(This allows only mobs from a list to be options.)
K_OBJ(This allows only objs from a list to be options.)
K_TURF(This allows only turfs from a list to be options.)
K_AREA(This allows only areas from a list to be options.)
K_ATOM(This allows only atoms from a list to be options.)
K_NULL(This adds a cancel button to the input.)
K_NUM(This allows only numbers from a list to be options.(Decimals are NOT accepted))
K_DECIMAL(This is used along with K_NUM if you would allow the player to input numbers with
decimals.)
K_TEXT(This allows only text strings from a list to be options.)
K_MATOM(This allows only movable objects from a list to be options.)
***Note: Currently, this library only supports 1 filter at a time. Use more than 1 if you
dare....

------
style - This is to add some special programming into the window. There is no need for the
		<style> tag in this argument.
------
size - The size of the input box. Beware: If you have a long message and you don't change
	   the size, it will be cut off if the K_NOSCROLL is turned on.

Format:"widthxheight;rows/cols" width being the width of the window, height being the
height, rows being the number of rows in a text area(if using the K_MESSAGE), cols being
the number of columns(if using the K_MESSAGE).

Example:
350x125;10/20

(The above is also the default value of size.)
------

Returns:
The option selected or the text typed in. If the Cancel button is used and it's clicked,
it will return null.

If you find any bugs/flaws or have some suggestions, contact me at:
Email: kakashisensei95@gmail.com(I barely ever check)
MSN: kakashi24142@hotmail.com
AIM: kakashi24142
*/